#include <iostream>
#include <fstream>
#include <fmt/core.h>
#include <nlohmann/json.hpp>
using json = nlohmann::json;

using namespace fmt;
using std::string, std::cout;

int main(int argc, char *argv[]) {
  if(argc != 2) {
    println("USAGE: jsontest [jsonfile]");
    return 0;
  }

  std::ifstream infile(argv[1]);
  json data = json::parse(infile);

  json::string_t s2 = data["happy"].template get<string>();

  for(auto &el : data.items()) {
    cout << el.key() << "=" << el.value() << "\n";
  }

  println("DATA HAPPY {}", s2);
  return 0;
}
