#!/usr/bin/env bash
set -e

mv -f ./subprojects/packagecache .
rm -rf subprojects builddir
mkdir subprojects
mv packagecache ./subprojects/
mkdir builddir
cp *.wrap subprojects
meson wrap install fmt
meson wrap install sqlite3
meson wrap install sqlitecpp
meson wrap install catch2
meson wrap install libpng
meson wrap install vorbis
meson wrap install ogg
meson wrap install flac
meson wrap install freetype2
meson wrap install openal-soft
meson wrap install imgui
meson wrap install sfml
meson wrap install imgui-sfml
meson wrap install nlohmann_json
meson setup builddir
